<div style="display:flex; align-items: center; flex-direction: column; margin-bottom: 30px;">
    <div class="headlines">DNA Sequence</div>
    <form [formGroup]="ccsForm" (ngSubmit)="getDrugInfo()">
        <div class="form-group">
            <div class="textarea-div">
                <div style="display:flex; align-items: center;">
                    <div style="font-weight: bold;">Enter Chromosome Range.</div>
                    <mat-icon
                        matTooltip="Enter chromosome range e.g. 'chr1:50200-50400,chr1:50800-50400' or click 'Load Example' to get a basic example."
                        matTooltipPosition="right" style="transform: scale(0.8);">help</mat-icon>
                </div>
                <textarea class="form-control" id="inputName" formControlName="inputName"
                    placeholder="Enter chromosome range e.g. 'chr1:50200-50400,chr1:50800-50400' or click 'Load Example' to get a basic example."></textarea>
            </div>
            <div>
                <div>
                    <span>Reference Genome</span>
                    <div>
                        <div>
                            <input type="radio" id="hg19" name="referenceGenome" value="hg19"
                                formControlName="referenceGenome" />
                            <label for="hg19">HG19</label>
                        </div>
                        <div>
                            <input type="radio" id="hg38" name="referenceGenome" value="hg38"
                                formControlName="referenceGenome" />
                            <label for="hg38">HG38</label>
                        </div>
                    </div>
                </div>
                <div>
                    <button type="button" class="btn btn-secondary" matTooltip="Info about the action"
                        matTooltipPosition="right" (click)="getExampleData()">Load Example</button><br>
                    <button type="submit" class="btn btn-primary" [disabled]="!ccsForm.valid">Submit</button>
                </div>
            </div>
        </div>
    </form>
</div>

<div *ngIf="complete_request!=''">
    <app-terminal-view [terminal_string]="complete_request"></app-terminal-view>
</div>

<div class="card-grid" *ngIf="reqObj != null">
    <div class="card" *ngFor="let element of reqObj.data">
        <div class="card-header">
            <h2>{{element.name}}</h2>
        </div>
        <ul *ngIf="element['response']==200">
            <li>Sequence: <span
                    style="font-family: monospace; font-weight: 200;">{{element['sequence']}}</span></li>
        </ul>
        <ul *ngIf="element['response']==400">
            <li style="color:red;">Error: {{element['error']}}</li>
        </ul>
    </div>
</div>